function get_structs_across_days, getStampsAfter, getStampsUpTo,	    $
				fileSuffix, structToUse, instrumentID

    instrumentID = strlowcase(instrumentID)
    if (instrumentID EQ 'c') then					$
	BASE_DIR = getenv('L1_CRIS_DATA_BASE_DIRECTORY')		$
    else BASE_DIR = getenv('L1_SIS_DATA_BASE_DIRECTORY')

    timeStart = cvtfromsec1996(getStampsAfter)
    timeStop = cvtfromsec1996(getStampsUpTo)

    day1996Start = get_day_1996_from_seconds_since_1996(getStampsAfter)
    day1996Stop = get_day_1996_from_seconds_since_1996(getStampsUpTo)

    ;print, 'day1996Start = ', day1996Start
    ;print, 'day1996Stop = ', day1996Stop

    if (day1996Start EQ day1996Stop) then begin
	    ; easy case.  start and stop in the same day.

	dataFilePath = generate_data_file_path(BASE_DIR, timeStart, fileSuffix)

	    ; get_subset_of_days_structs will already terminate array with
	    ; a zeroed struct.  structArray can be returned directly.
	structArray = get_subset_of_days_structs(dataFilePath, structToUse, $
						getStampsAfter, getStampsUpTo)
	return, structArray
    endif

    ; need to concatenate struct arrays from multiple days

	; deal with partial start day
    dataFilePath = generate_data_file_path(BASE_DIR, timeStart, fileSuffix)
    structArray = get_subset_of_days_structs(dataFilePath, structToUse, $
				getStampsAfter, getStampsAfter + 86400)
    n = n_elements(structArray)
    if (n GT 1) then fullArray = structArray(0:n - 2)	; remove zeroed struct

	; deal with any full days between start and end days
    for day = day1996Start + 1, day1996Stop - 1 do begin
	time = get_date_from_day_1996(day)
	dataFilePath = generate_data_file_path(BASE_DIR, time, fileSuffix)
	structArray = get_days_struct_array(dataFilePath, structToUse)
	n = n_elements(structArray)
	if (n GT 1) then begin
	    structArray = structArray(0:n - 2)	; remove zeroed struct
	    if (n_elements(fullArray) GT 0) then		$
		fullArray = [fullArray, structArray]		$
	    else fullArray = structArray
	endif
    endfor

	; deal with partial last day
    dataFilePath = generate_data_file_path(BASE_DIR, timeStop, fileSuffix)
	; last thing to append.  already has zeroed struct at end.
    structArray = get_subset_of_days_structs(dataFilePath, structToUse, $
				getStampsUpTo - 86400, getStampsUpTo)
    if (n_elements(fullArray) GT 0) then fullArray = [fullArray, structArray] $
    else fullArray = structArray
    
    return, fullArray
end
